Bug 209177 - xmoto: useless debuginfo package
xmoto: useless debuginfo package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xmoto (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hugo Cisneiros
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-10-03 15:23 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 20:28:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-10-03 15:23:08 EDT
$ rpm -qlp 
http://fedoraproject.org/extras/development/i386/debug/xmoto-debuginfo-0.2.0-1.fc6.i386.rpm
(contains no files)

Possible culprit: "-s" in Makefile.am's AM_LDFLAGS - 
http://fedoraproject.org/wiki/Packaging/Debuginfo for more info.
Comment 1 Ville Skyttä 2006-10-22 15:37:04 EDT
ping
Comment 2 Matthias Saou 2006-10-23 03:42:25 EDT
Ping also about 0.2.1 and now 0.2.2 versions available.
Comment 3 Hugo Cisneiros 2006-10-26 16:26:52 EDT
Hi guys, sending this note to let you know that I'm not dead (yet). I'm 
travelling now for giving Linux courses, but I'll be back at home and get time 
to do it (Hotel's internet is a waste) this weekend and the next week. Thanks 
for pinging! :)
Comment 4 Hugo Cisneiros 2006-11-12 20:30:33 EST
Updated to version 0.2.2. I also skipped the debuginfo package 'cause the 
find_debuginfo.sh wasn't recognizing the debug symbols, even if it's there 
after installed. Thanks and sorry for the delay ;-)
Comment 5 Ville Skyttä 2006-11-13 11:16:55 EST
I removed "%define debug_package %{nil}", rebuilt the package from devel CVS on
FC6 x86_64, and the binaries were stripped and a good debuginfo package produced.

I don't know why it wouldn't work for you, but a guess: you do have
redhat-rpm-config installed (or use mock or mach) when you build stuff, right?

$ ls -g
-rw-r--r-- 1 mach  186456 Nov 13 18:02 rpm.log
-rw-r--r-- 1 mach 5964860 Nov 13 18:02 xmoto-0.2.2-1.cmn6.src.rpm
-rw-r--r-- 1 mach 6149555 Nov 13 18:02 xmoto-0.2.2-1.cmn6.x86_64.rpm
-rw-r--r-- 1 mach 4292630 Nov 13 18:02 xmoto-debuginfo-0.2.2-1.cmn6.x86_64.rpm
-rw-r--r-- 1 mach    2789 Nov 13 17:58 xmoto.spec
Comment 6 Hugo Cisneiros 2006-11-13 11:28:32 EST
Things were working here, until I saw this bug entry and the error was 
occurring only in the buildsys. Maybe it's fixed now and I didn't know... 
Thanks for your attention, I'm gonna rebuild it on the buildsys.
Comment 7 Hugo Cisneiros 2006-11-22 20:28:29 EST
Ok, package now fixed (forgot again to close the bug :()

Note You need to log in before you can comment on or make changes to this bug.